[android-components](../index.md) / [mozilla.components.support.ktx.android.content.res](./index.md)

## Package mozilla.components.support.ktx.android.content.res

### Functions

| Name | Summary |
|---|---|
| [readJSONObject](read-j-s-o-n-object.md) | `fun <ERROR CLASS>.readJSONObject(fileName: `[`String`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html)`): <ERROR CLASS>`<br>Read a file from the "assets" and create a a JSONObject from its content. |
| [resolveAttribute](resolve-attribute.md) | `fun <ERROR CLASS>.resolveAttribute(attribute: `[`Int`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-int/index.html)`): `[`Int`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-int/index.html)<br>Resolves the resource ID corresponding to the given attribute. |
